#include "Model.h"

#include "Model_impl.h"
#include "No_model.h"
#include "Create.h"

namespace MM
{
Model & Model::
none()
{
//#ifndef NDEBUG
//    static Model_impl instance (it_is_none);
//#else
    static No_model instance;
//#endif

    return instance;
}

}//MM

